ScraperCity logo

Authentication

Every request is authenticated with your API key as a Bearer token. Create a key in your dashboard, then include it in the Authorization header.

Authentication Methods

Bearer Token (Recommended)

Include your API key in the Authorization header of every request.

curl -X POST https://app.scrapercity.com/api/v1/scrape/apollo \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"url": "...", "count": 1000}'

JavaScript/Node.js

const response = await fetch('https://app.scrapercity.com/api/v1/scrape/apollo', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer YOUR_API_KEY',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    url: 'YOUR_APOLLO_URL',
    count: 1000
  })
});

const data = await response.json();
console.log(data.runId);

Python

import requests

headers = {
    'Authorization': 'Bearer YOUR_API_KEY',
    'Content-Type': 'application/json'
}

payload = {
    'url': 'YOUR_APOLLO_URL',
    'count': 1000
}

response = requests.post(
    'https://app.scrapercity.com/api/v1/scrape/apollo',
    headers=headers,
    json=payload
)

data = response.json()
print(data['runId'])